<?php
require_once "SiemensXMLElement.php";

class IppHidden extends SiemensXMLElement {

	const TypeVALUE = "VALUE";
	const TypePHONENUMBER = "PHONENUMBER";
	const TypeIPADDRESS = "IPADDRESS";

	public function __construct( $type = IppHidden::TypeVALUE, $key = '') {

		$attributes = array();
		$attributes["Type"] = $type;
		$attributes["Key"] = $key;

		parent::__construct($attributes);
	}

	public function renderXMLBeforeChildsHook(xmlWriter &$xw) {
		//$xw->text($this->text);
	}


	protected function name() {
		return "IppHidden";
	}

}